<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!-- 
IGAC proyecto SNC
@author: lorena.salamanca
  
@cu CU-NP-FA-203 Evaluar estado catastral e información existente

-->

<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:p="http://primefaces.org/ui"
                xmlns:misc="http://java.sun.com/jsf/composite/misc"
                xmlns:predio="http://java.sun.com/jsf/composite/predio"
                template="../../templates/generalCU.xhtml">

    <ui:define name="title">
        .::Sistema Nacional Catastral::. .::Evaluar estado catastral e información existente::.
    </ui:define>

    <ui:define name="content">
        <p:ajaxStatus onstart="statusDialog.show();"
                      onsuccess="statusDialog.hide();" onerror="statusDialog.hide();" />
        <p:focus />

        <p:messages id="msgsEvaluarEstadoCatastral" showDetail="false"
                    globalOnly="false" />

        <p:panel header="Evaluar estado catastral e información existente">
            <p:tabView dynamic="true" cache="false"
                       id="evaluarEstadoCatastralTabView">


                <p:tab title="Saldos de mutación" rendered="#{evaluarEstadoCatastInfoExist.alistarDocumentacionGeneral}">
                    <h:form id="saldosMutacionForm">
                        <h:panelGrid width="100%" cellspacing="10">

                            <p:dataTable 
                                value="#{evaluarEstadoCatastInfoExist.saldosTramites}"
                                var="tramiteVar" id="revDocumentosDigitalizarDT"
                                paginator="true" rows="10"
                                paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                                paginatorPosition="bottom" rowsPerPageTemplate="5,10,20"
                                emptyMessage="No se encontraron trámites">
                                <f:facet name="header">Trámites</f:facet>

                                <p:column headerText="Número de radicación" >
                                    <p:commandLink oncomplete="detalleTramiteEjecutarWV.show();"
                                                   update=":detalleTramiteEjecutarForm">
                                        <h:outputText value="#{tramiteVar.numeroRadicacion}" styleClass="commandLinkStyle" />
                                        <f:setPropertyActionListener value="#{tramiteVar}"
                                                                     target="#{vistaDetallesTramite.selectedTramiteForDetailsChecking}" />
                                    </p:commandLink>
                                </p:column>

                                <p:column headerText="Fecha de radicación">
                                    <h:outputText styleClass="outputTextStyle" value="#{tramiteVar.fechaRadicacion}">
                                        <f:convertDateTime pattern="#{general.formatoFecha}" />
                                    </h:outputText>
                                </p:column>

                                <p:column headerText="Tipo de trámite">
                                    <h:outputText styleClass="outputTextStyle"
                                                  id="TramiteTipoTramiteV" value="#{tramiteVar.tipoTramite}">
                                        <f:converter converterId="converterCB"
                                                     for="TramiteTipoTramiteV"></f:converter>
                                    </h:outputText>
                                </p:column>

                                <p:column headerText="Clasificación">
                                    <h:outputText styleClass="outputTextStyle"
                                                  id="TramiteClasificacionV" value="#{tramiteVar.clasificacion}">
                                        <f:converter converterId="converterCB"
                                                     for="TramiteClasificacionV"></f:converter>
                                    </h:outputText>
                                </p:column>
                            </p:dataTable>
                            <h:panelGrid columns="3" cellspacing="3">
                                <p:barChart id="barChart" xaxisLabel="Sectores" yaxisLabel="No. de trámites"
                                            value="#{evaluarEstadoCatastInfoExist.graficaBarras}" 
                                            legendPosition="nw" title="Tramites por Sectores" min="0"
                                            max="#{evaluarEstadoCatastInfoExist.valorMaxbarras}"
                                            style="height:300px" />
                                <p:pieChart id="pieChart" value="#{evaluarEstadoCatastInfoExist.graficaTorta}"
                                            legendPosition="nw" title="Total por tipo de tramite"
                                            style="width:300px;height:300px" />
                                <p:dataTable value="#{evaluarEstadoCatastInfoExist.tablaTorta}"
                                             var="tipoTram" id="tablaConteo" paginator="true" rows="10"
                                             paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                                             paginatorPosition="bottom" rowsPerPageTemplate="5,10,20"
                                             emptyMessage="No existen saldos de conservación">

                                    <p:column headerText="Tipo trámite">
                                        <h:outputText styleClass="outputTextStyle"
                                                      value="#{tipoTram.first}" />
                                    </p:column>

                                    <p:column headerText="Número">
                                        <h:outputText styleClass="outputTextStyle"
                                                      value="#{tipoTram.second}" />
                                    </p:column>

                                </p:dataTable>
                            </h:panelGrid>
                        </h:panelGrid>
                    </h:form>
                </p:tab>

                <p:tab title="Georreferenciación y topografía"
                       rendered="#{evaluarEstadoCatastInfoExist.alistarDocumentacionGeneral or evaluarEstadoCatastInfoExist.alistarInformacion}">
                    <h:form id="georreferenciacionForm">
                        <p:panel id="georrefYTopoPnl"
                                 header="Georreferenciación y topografía">
                            <h:panelGrid id="tblDocumentacion" columns="1" width="100%">
                                <p:dataTable
                                    value="#{evaluarEstadoCatastInfoExist.georrefYTopoDocs}"
                                    var="documentacionVar"
                                    id="documentacionGeorreferenciacionTable" paginator="true"
                                    rows="10"
                                    paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                                    paginatorPosition="bottom" rowsPerPageTemplate="5,10,20"
                                    emptyMessage="No se encontraron documentos">

                                    <p:column headerText="Documento">
                                        <h:outputText styleClass="outputTextStyle"
                                                      value="#{documentacionVar.tipoDocumento.nombre}" />
                                    </p:column>

                                    <p:column headerText="Urbano">
                                        <h:selectBooleanCheckbox value="#{documentacionVar.urbano}"
                                                                 disabled="true" />
                                    </p:column>

                                    <p:column headerText="Rural">
                                        <h:selectBooleanCheckbox value="#{documentacionVar.rural}"
                                                                 disabled="true" />
                                    </p:column>

                                    <p:column headerText="Análogo">
                                        <h:selectBooleanCheckbox value="#{documentacionVar.analogo}">
                                            <p:ajax event="change"
                                                    update=":evaluarEstadoCatastralTabView:georreferenciacionForm:tblDocumentacion" />
                                        </h:selectBooleanCheckbox>
                                    </p:column>

                                    <p:column headerText="Digital">
                                        <h:selectBooleanCheckbox value="#{documentacionVar.digital}">
                                            <p:ajax event="change"
                                                    update=":evaluarEstadoCatastralTabView:georreferenciacionForm:tblDocumentacion" />
                                        </h:selectBooleanCheckbox>
                                    </p:column>

                                    <p:column headerText="No">
                                        <h:selectBooleanCheckbox value="#{documentacionVar.no}"
                                                                 disabled="#{!documentacionVar.opcional}">
                                            <p:ajax event="change"
                                                    update=":evaluarEstadoCatastralTabView:georreferenciacionForm:tblDocumentacion" />
                                        </h:selectBooleanCheckbox>
                                    </p:column>

                                    <p:column headerText="Acción">
                                        <h:outputText styleClass="outputTextStyle" value="Accion" />
                                    </p:column>
                                </p:dataTable>
                            </h:panelGrid>

                            <h:outputLabel value="¿Existen conflictos limítrofes?" />
                            <p:selectOneRadio
                                value="#{evaluarEstadoCatastInfoExist.actualizacion.conflictosLimitrofes}">
                                <f:selectItem itemLabel="Sí" itemValue="SI" />
                                <f:selectItem itemLabel="No" itemValue="NO" />
                                <p:ajax event="change" />
                            </p:selectOneRadio>

                            <p:commandButton value="Generar"
                                             title="Generar formato de alistamiento de información" />
                            <p:commandButton value="Finalizar" ajax="false"
                                             onstart="statusDialog2.show()" oncomplete="statusDialog2.hide()"
                                             action="#{evaluarEstadoCatastInfoExist.finalizarRegistroDocumentacionGeorefYTopo}" />

                        </p:panel>
                    </h:form>
                </p:tab>

                <p:tab title="Documentación general" rendered="#{evaluarEstadoCatastInfoExist.alistarDocumentacionGeneral}">
                    <h:form id="documentacionGeneralForm" prependId="false">
                        <p:panel header="Generales">
                            <h:panelGrid id="tblDocumentacionGen" columns="1" width="100%">
                                <p:dataTable
                                    value="#{evaluarEstadoCatastInfoExist.documentacionGeneral}"
                                    var="documentacionVar" id="documentacionGeneralTable"
                                    paginator="true" rows="10"
                                    paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                                    paginatorPosition="bottom" rowsPerPageTemplate="5,10,20"
                                    emptyMessage="No se encontraron documentos">

                                    <p:column headerText="Documento">
                                        <h:outputText styleClass="outputTextStyle"
                                                      value="#{documentacionVar.tipoDocumento.nombre}" />
                                    </p:column>

                                    <p:column headerText="Urbano">
                                        <h:selectBooleanCheckbox value="#{documentacionVar.urbano}"
                                                                 disabled="true" />
                                    </p:column>

                                    <p:column headerText="Rural">
                                        <h:selectBooleanCheckbox value="#{documentacionVar.rural}"
                                                                 disabled="true" />
                                    </p:column>

                                    <p:column headerText="Análogo">
                                        <h:selectBooleanCheckbox value="#{documentacionVar.analogo}">
                                            <p:ajax event="change"
                                                    update=":evaluarEstadoCatastralTabView:documentacionGeneralForm:tblDocumentacionGen" />
                                        </h:selectBooleanCheckbox>
                                    </p:column>

                                    <p:column headerText="Digital">
                                        <h:selectBooleanCheckbox value="#{documentacionVar.digital}">
                                            <p:ajax event="change"
                                                    update=":evaluarEstadoCatastralTabView:documentacionGeneralForm:tblDocumentacionGen" />
                                        </h:selectBooleanCheckbox>
                                    </p:column>

                                    <p:column headerText="No">
                                        <h:selectBooleanCheckbox value="#{documentacionVar.no}"
                                                                 disabled="#{!documentacionVar.opcional}">
                                            <p:ajax event="change"
                                                    update=":evaluarEstadoCatastralTabView:documentacionGeneralForm:tblDocumentacionGen" />
                                        </h:selectBooleanCheckbox>
                                    </p:column>

                                    <p:column headerText="Acción">
                                        <h:outputText styleClass="outputTextStyle" value="Accion" />
                                    </p:column>
                                </p:dataTable>
                            </h:panelGrid>

                            <h:outputLabel value="¿Existen conflictos de nomenclatura vial?" />
                            <p:selectOneRadio value="">
                                <f:selectItem itemLabel="Sí" itemValue="Sí" />
                                <f:selectItem itemLabel="No" itemValue="No" />
                            </p:selectOneRadio>

                            <h:outputLabel value="¿Existen conflictos de perímetro urbano?" />
                            <p:selectOneRadio value="">
                                <f:selectItem itemLabel="Sí" itemValue="Sí" />
                                <f:selectItem itemLabel="No" itemValue="No" />
                            </p:selectOneRadio>

                            <p:commandButton value="Generar"
                                             title="Generar formato de alistamiento de información" />
                            <p:commandButton value="Finalizar" />
                        </p:panel>
                    </h:form>
                </p:tab>

                <p:tab title="Reconocimiento Predial" rendered="#{evaluarEstadoCatastInfoExist.alistarDocumentacionDeReconocimiento}">
                    <h:form id="reconocimientoPredialForm" prependId="false">
                        <p:panel header="Reconocimiento Predial">
                            <h:panelGrid id="tblDocumentacionRec" columns="1" width="100%">
                                <p:dataTable
                                    value="#{evaluarEstadoCatastInfoExist.reconocimientoPredial}"
                                    var="documentacionVar" id="reconocimientoPredialTable"
                                    paginator="true" rows="10"
                                    paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                                    paginatorPosition="bottom" rowsPerPageTemplate="5,10,20"
                                    emptyMessage="No se encontraron documentos">

                                    <p:column headerText="Documento">
                                        <h:outputText styleClass="outputTextStyle"
                                                      value="#{documentacionVar.tipoDocumento.nombre}" />
                                    </p:column>

                                    <p:column headerText="Urbano">
                                        <h:selectBooleanCheckbox value="#{documentacionVar.urbano}"
                                                                 disabled="true" />
                                    </p:column>

                                    <p:column headerText="Rural">
                                        <h:selectBooleanCheckbox value="#{documentacionVar.rural}"
                                                                 disabled="true" />
                                    </p:column>

                                    <p:column headerText="Análogo">
                                        <h:selectBooleanCheckbox value="#{documentacionVar.analogo}">
                                            <p:ajax event="change"
                                                    update=":evaluarEstadoCatastralTabView:reconocimientoPredialForm:tblDocumentacionRec" />
                                        </h:selectBooleanCheckbox>
                                    </p:column>

                                    <p:column headerText="Digital">
                                        <h:selectBooleanCheckbox value="#{documentacionVar.digital}">
                                            <p:ajax event="change"
                                                    update=":evaluarEstadoCatastralTabView:reconocimientoPredialForm:tblDocumentacionRec" />
                                        </h:selectBooleanCheckbox>
                                    </p:column>

                                    <p:column headerText="No">
                                        <h:selectBooleanCheckbox value="#{documentacionVar.no}"
                                                                 disabled="#{!documentacionVar.opcional}">
                                            <p:ajax event="change"
                                                    update=":evaluarEstadoCatastralTabView:reconocimientoPredialForm:tblDocumentacionRec" />
                                        </h:selectBooleanCheckbox>
                                    </p:column>

                                    <p:column headerText="Acción">
                                        <h:outputText styleClass="outputTextStyle" value="Accion" />
                                    </p:column>
                                </p:dataTable>
                            </h:panelGrid>

                            <p:commandButton value="Generar"
                                             title="Generar formato de alistamiento de información" />
                            <p:commandButton value="Finalizar" />
                        </p:panel>
                    </h:form>
                </p:tab>
            </p:tabView>			
        </p:panel>
        <h:form>
            <p:commandButton value="Cerrar" ajax="false"
                             action="#{evaluarEstadoCatastInfoExist.cerrar}" title="Cerrar" />

        </h:form>

        <p:dialog header="Detalle del trámite"
                  widgetVar="detalleTramiteEjecutarWV" modal="false" appendToBody="true"
                  resizable="true" position="center" height="480" width="960">
            <ui:include
                src="../../conservacion/ejecucion/detalleTramiteEjecucion.xhtml">
                <ui:param name="currentManagedBeanParam"
                          value="#{vistaDetallesTramite}" />
                <ui:param name="detallesPredioWVParam" value="detallesPredioWV" />
            </ui:include>
        </p:dialog>

        <predio:detallesPredioCC id="dpCC" thisWVName="detallesPredioWV"
                                 mostrarDatosPropietarios="true" mostrarDatosTramites="false"
                                 thisIdPlusColon=":dpCC" mostrarFichaPredial="true" />

        <p:dialog header="Carga de archivo" widgetVar="cargaArchivoWV"
                  modal="true" appendToBody="true" resizable="true" position="center"
                  width="360" height="100">
            <h:form>
                <h:panelGrid columns="2">
                    <h:outputLabel value="Tipo de referencia"
                                   styleClass="outputLabelStyle" />
                    <h:inputText
                        value="#{evaluarEstadoCatastralInformacionExistente.tipoReferenciaText}" />
                    <h:outputLabel value="Referencia" styleClass="outputLabelStyle" />
                    <h:inputText
                        value="#{evaluarEstadoCatastralInformacionExistente.referenciaText}" />

                    <p:commandButton value="Cargar" oncomplete="cargaArchivoWV.hide()"></p:commandButton>
                    <p:commandButton value="Cancelar"
                                     oncomplete="cargaArchivoWV.hide()"></p:commandButton>
                </h:panelGrid>
            </h:form>
        </p:dialog>

        <misc:docViewerWithCloseDecisionCC id="docViewer"
                                           confirmUpdate="msgInfoFis" confirmDialogWV="docViewerWV"
                                           ajaxBehavior="true"
                                           selectedDocumentAtt="#{previsualizacionDocumento.rutaArchivoTemporal}"
                                           showDownloadButton="#{previsualizacionDocumento.documentoDwg}"
                                           fileContent="#{previsualizacionDocumento.reporteDTO.streamedContentReporte}"
                                           doctypeAtt="#{vistaDetallesTramite.tipoMimeDocTemporal}"
                                           headerLabel="Previsualización de documento" yesRendered="false"
                                           noLabel="Cerrar" />

    </ui:define>
</ui:composition>